package com.jsowell.pile.domain;

import com.jsowell.common.annotation.Excel;
import com.jsowell.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 会员基础信息对象 member_basic_info
 *
 * @author jsowell
 * @date 2022-10-12
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class MemberBasicInfo extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键id
	 */
	private Integer id;

	/**
	 * 会员id
	 */
    @Excel(name = "会员id")
	private String memberId;

	/**
	 * 微信用户身份码openid
	 */
	private String openId;

	/**
	 * 车牌号
	 */
	private String licensePlateNumber;

	/**
	 * 昵称
	 */
	@Excel(name = "昵称")
	private String nickName;

	/**
	 * 逻辑卡号
	 */
	@Excel(name = "逻辑卡号")
	private String logicCard;

	/**
	 * 物理卡号
	 */
	@Excel(name = "物理卡号")
	private String physicsCard;

	/**
	 * 状态
	 */
	@Excel(name = "状态")
	private String status;

	/**
	 * 头像url
	 */
	@Excel(name = "头像url")
	private String avatarUrl;

	/**
	 * 手机号
	 */
	@Excel(name = "手机号")
	private String mobileNumber;

	/**
	 * 所属运营商
	 */
	@Excel(name = "所属运营商")
	private Long merchantId;

	/**
	 * 删除标识（0-正常；1-删除）
	 */
	private String delFlag;

	@Override
	public String toString() {
		return new ToStringBuilder(this, ToStringStyle.JSON_STYLE)
				.append("id", id)
				.append("memberId", memberId)
				.append("nickName", nickName)
				.append("logicCard", logicCard)
				.append("physicsCard", physicsCard)
				.append("status", status)
				.append("avatarUrl", avatarUrl)
				.append("mobileNumber", mobileNumber)
				.append("merchantId", merchantId)
				.append("delFlag", delFlag)
				.toString();
	}
}
